<?php

if (file_exists('../conexao/conexao.php')) {
    include('../conexao/conexao.php');
}

class EtapasPCP
{
    private $mysqlConnection;
    private $connection;

    public function __construct()
    {
        global $mysqlConnection;
        global $connection;
        $this->mysqlConnection = $mysqlConnection;
        $this->connection = $connection;
    }

    public function ListaEtapas()
    {
        // Consulta SQL inicial
        $sql = "SELECT * FROM etapas_pcp WHERE 1=1";

        // Armazena os parâmetros e seus tipos para o bind
        $params = [];
        $types = '';

        // Prepara a consulta
        $stmt = $this->mysqlConnection->prepare($sql);
        if (!$stmt) {
            die('Erro na preparação da consulta MySQL: ' . $this->mysqlConnection->error);
        }

        // Se houver parâmetros, fazemos o bind deles
        if (!empty($params)) {
            $stmt->bind_param($types, ...$params);
        }

        // Executa a consulta
        if (!$stmt->execute()) {
            die('Erro na execução da consulta MySQL: ' . $stmt->error);
        }

        // Obtém o resultado
        $result = $stmt->get_result();
        if (!$result) {
            die('Erro ao obter resultado MySQL: ' . $stmt->error);
        }

        $metasEtapas = [];
        while ($row = $result->fetch_assoc()) {
            $metasEtapas[] = $row;
        }

        // Fecha a consulta
        $stmt->close();

        return $metasEtapas;
    }

    public function ListaEtapasKPYPHARMA()
    {
        // Consulta SQL inicial
        $sql = "select FFP.CODIGO, FFP.NOMETIPO
        from FORMAFARMACEUTICA_PROCESSO_TIPO FFP
        where FFP.TIPO_MOVIMENTO = '1' and
        FFP.ATIVO = '-1'";


        // Execute a consulta
        $resultmetaetapa = ibase_query($this->connection, $sql);

        if (!$resultmetaetapa) {
            die('Erro na consulta: ' . ibase_errmsg());
        }

        // Processa os resultados
        $metas_etapas = [];
        while ($row2 = ibase_fetch_assoc($resultmetaetapa)) {
            $row2['NOMETIPO'] = trim($row2['NOMETIPO']);
            $metas_etapas[] = $row2;
        }
        return $metas_etapas;
    }
}
